summaryrefslogtreecommitdiff
path: root/pcr
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2015-04-02 23:23:25 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2015-04-02 23:23:25 -0300
commit1e0990971085c1f10af26f8b2854f4012cad4289 (patch)
tree7f897a9f7e28909429c2c3a91b11c51a124e7532 /pcr
parentd254e7bb327c97f2f4c0c2d1802760fbe1e9f500 (diff)
downloadabslibre-1e0990971085c1f10af26f8b2854f4012cad4289.tar.gz
abslibre-1e0990971085c1f10af26f8b2854f4012cad4289.tar.bz2
abslibre-1e0990971085c1f10af26f8b2854f4012cad4289.zip
cunit: add new package to [pcr]
Diffstat (limited to 'pcr')
-rw-r--r--pcr/cunit/PKGBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/pcr/cunit/PKGBUILD b/pcr/cunit/PKGBUILD
new file mode 100644
index 000000000..f8d788abb
--- /dev/null
+++ b/pcr/cunit/PKGBUILD
@@ -0,0 +1,31 @@
+# Contributor (Arch): Danibspi danibspi <at> gmail <dot> com
+# Contributor (Arch): Daniel Milde <daniel@milde.cz>
+
+pkgname=cunit
+pkgver=2.1.3
+pkgrel=2
+pkgdesc="Lightweight system for writing, administering, and running unit tests in C"
+arch=(i686 x86_64)
+url="http://cunit.sourceforge.net/"
+license=('LGPL2')
+depends=('glibc')
+options=('!libtool')
+source=(https://downloads.sourceforge.net/project/cunit/CUnit/2.1-3/CUnit-2.1-3.tar.bz2)
+md5sums=('b5f1a9f6093869c070c6e4a9450cc10c')
+
+build() {
+ cd "$srcdir/CUnit-2.1-3"
+ libtoolize --force
+ aclocal
+ autoheader
+ automake --force-missing --add-missing
+ autoconf
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/CUnit-2.1-3"
+ make DESTDIR="$pkgdir" install
+ mv $pkgdir/usr/doc $pkgdir/usr/share/doc
+}